package com.mx.dla.dda.contrato.listado.dtos;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.mx.dla.dda.contrato.common.dtos.DocumentoDTO;

public class ListadoDTO implements Serializable{

	private static final long serialVersionUID = 7560112122540769011L;
	
	private String  tipoContrato;
	private String  numeroContrato;
	private Date    fechaInicio;
	private Date    fechaFin;
	private String  estatus;
	private String  estudio;
	private String  movimiento;
	private Long    idContrato;	
	private Integer estatusBloqueo;
	private Long    idContratoOri;
	private Integer meses;
	private List<DocumentoDTO> documentos;
	
	public String getTipoContrato() {
		return tipoContrato;
	}
	public void setTipoContrato(String tipoContrato) {
		this.tipoContrato = tipoContrato;
	}
	public String getNumeroContrato() {
		return numeroContrato;
	}
	public void setNumeroContrato(String numeroContrato) {
		this.numeroContrato = numeroContrato;
	}
	public Date getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public Date getFechaFin() {
		return fechaFin;
	}
	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}
	public String getEstatus() {
		return estatus;
	}
	public void setEstatus(String estatus) {
		this.estatus = estatus;
	}
	public String getEstudio() {
		return estudio;
	}
	public void setEstudio(String estudio) {
		this.estudio = estudio;
	}
	public String getMovimiento() {
		return movimiento;
	}
	public void setMovimiento(String movimiento) {
		this.movimiento = movimiento;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	
	public Integer getEstatusBloqueo() {
		return estatusBloqueo;
	}
	public void setEstatusBloqueo(Integer estatusBloqueo) {
		this.estatusBloqueo = estatusBloqueo;
	}
	public Long getIdContratoOri() {
		return idContratoOri;
	}
	public void setIdContratoOri(Long idContratoOri) {
		this.idContratoOri = idContratoOri;
	}
	public Integer getMeses() {
		return meses;
	}
	public void setMeses(Integer meses) {
		this.meses = meses;
	}
	public List<DocumentoDTO> getDocumentos() {
		return documentos;
	}
	public void setDocumentos(List<DocumentoDTO> documentos) {
		this.documentos = documentos;
	}
	
    
}
